#include "opencv2/opencv.hpp"

int main (int argc, char *argv[])
{
	cv::Mat gray = cv::imread("../lena.jpg",cv::IMREAD_GRAYSCALE), blured;
	if (gray.empty()) return -1;
    cv::resize(gray,gray,cv::Size(1024,1024),0,0,cv::INTER_CUBIC);
	cv::imshow("lena",gray);
	cv::waitKey(1);

    int ksize;
    std::cout << "enter ksize: ";
    std::cin >> ksize;

    cv::blur(gray,blured,cv::Size(ksize,ksize));

    //cv::GaussianBlur(gray,blured,cv::Size(ksize,ksize),0);

    //cv::Mat kernel1D = cv::getGaussianKernel(ksize,0), kernel1D_T;
    //std::cout << std::endl << kernel1D << std::endl;
    //cv::transpose(kernel1D,kernel1D_T);
    //cv::Mat kernel2D = kernel1D * kernel1D_T;
    //std::cout << std::endl << kernel2D << std::endl;
    //cv::filter2D(gray,blured,CV_8U,kernel2D);

    cv::imshow("lena",blured);
    cv::waitKey(1);
    std::cout << "press any key to continue ...";
    std::cin.get(); std::cin.get();
    cv::destroyAllWindows();
	return 0;
}
